Projekte

Notizen
Expert level
Der API-Schlüssel sollte als Bearer-Token im Authorization-Header der Anfrage gesendet werden. Erhalten Sie Ihren API-Schlüssel.
Liste

API Endpunkt:

GET
https://seo.smartone-connect.com/api/v1/projects

Beispielanfrage:

curl --location --request GET 'https://seo.smartone-connect.com/api/v1/projects' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameter
Typ
Beschreibung
search
optional string
Suchanfrage.
search_by
optional string
Suche nach. Mögliche Werte sind: project von Name. Standard von: project.
sort_by
optional string
Sortieren nach. Mögliche Werte sind: created_at von Erstellungsdatum, project von Name. Standard von: created_at.
sort
optional string
Sortieren. Mögliche Werte sind: desc von Absteigend, asc von Aufsteigend. Standard von: desc.
per_page
optional int
Ergebnisse pro Seite. Mögliche Werte sind: 10, 25, 50, 100. Standard von: 10.
Löschen

API Endpunkt:

DELETE
https://seo.smartone-connect.com/api/v1/projects/{project}

Beispielanfrage:

curl --location --request DELETE 'https://seo.smartone-connect.com/api/v1/projects/{project}' \
--header 'Authorization: Bearer {api_key}'